Index: src/libgloss/libnosys/warning.h
diff -u src/libgloss/libnosys/warning.h:1.2 src/libgloss/libnosys/warning.h:1.5
--- src/libgloss/libnosys/warning.h:1.2	Sat May 11 20:48:04 2002
+++ src/libgloss/libnosys/warning.h	Fri Jan 21 21:55:07 2005
@@ -7,19 +7,19 @@
 /* We want the .gnu.warning.SYMBOL section to be unallocated.  */
 #  ifdef HAVE_ASM_PREVIOUS_DIRECTIVE
 #   define __make_section_unallocated(section_string)   \
-  asm(".section " section_string "; .previous");
+  asm(".section " section_string "\n .previous");
 #  elif defined (HAVE_ASM_POPSECTION_DIRECTIVE)
 #   define __make_section_unallocated(section_string)   \
-  asm(".pushsection " section_string "; .popsection");
+  asm(".pushsection " section_string "\n .popsection");
 #  else
 #   define __make_section_unallocated(section_string)
 #  endif
 
 #  ifdef HAVE_SECTION_ATTRIBUTES
 #   define link_warning(symbol, msg)                     \
-  __make_section_unallocated (".gnu.warning." #symbol)  \
   static const char __evoke_link_warning_##symbol[]     \
-    __attribute__ ((section (".gnu.warning." #symbol))) = msg;
+    __attribute__ ((section (".gnu.warning." __SYMBOL_PREFIX #symbol), \
+		   __used__)) = msg;
 #  else
 #   define link_warning(symbol, msg)
 #  endif
@@ -35,9 +35,10 @@
 # define link_warning(symbol, msg)
 #endif
 
-/* A canned warning for sysdeps/stub functions.  */
+/* A canned warning for sysdeps/stub functions.
+   The GNU linker prepends a "warning: " string.  */
 #define stub_warning(name) \
   link_warning (name, \
-                "warning: " #name " is not implemented and will always fail")
+                #name " is not implemented and will always fail")
 
 #endif /* __WARNING_H__ */
Index: src/libgloss/mips/array.ld
diff -u src/libgloss/mips/array.ld:1.3 src/libgloss/mips/array.ld:1.4
--- src/libgloss/mips/array.ld:1.3	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/array.ld	Tue Apr 12 08:06:40 2005
@@ -84,7 +84,7 @@
   . = 0x80020000;
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -94,7 +94,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/cfe.ld
diff -u src/libgloss/mips/cfe.ld:1.4 src/libgloss/mips/cfe.ld:1.5
--- src/libgloss/mips/cfe.ld:1.4	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/cfe.ld	Tue Apr 12 08:06:40 2005
@@ -41,10 +41,10 @@
     *(.mips16.call.*)
   }
   .init : {
-    *(.init)
+    KEEP (*(.init))
   }
   .fini : {
-    *(.fini)
+    KEEP (*(.fini))
   }
   .rel.sdata : {
     PROVIDE (__runtime_reloc_start = .);
Index: src/libgloss/mips/dve.ld
diff -u src/libgloss/mips/dve.ld:1.4 src/libgloss/mips/dve.ld:1.5
--- src/libgloss/mips/dve.ld:1.4	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/dve.ld	Tue Apr 12 08:06:40 2005
@@ -33,7 +33,7 @@
   . = 0xA0040000;
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -43,7 +43,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/idt.ld
diff -u src/libgloss/mips/idt.ld:1.5 src/libgloss/mips/idt.ld:1.6
--- src/libgloss/mips/idt.ld:1.5	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/idt.ld	Tue Apr 12 08:06:40 2005
@@ -42,10 +42,10 @@
     *(.mips16.call.*)
   }
   .init : {
-    *(.init)
+    KEEP (*(.init))
   }
   .fini : {
-    *(.fini)
+    KEEP (*(.fini))
   }
   .rel.sdata : {
     PROVIDE (__runtime_reloc_start = .);
Index: src/libgloss/mips/idt32.ld
diff -u src/libgloss/mips/idt32.ld:1.3 src/libgloss/mips/idt32.ld:1.4
--- src/libgloss/mips/idt32.ld:1.3	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/idt32.ld	Tue Apr 12 08:06:40 2005
@@ -43,10 +43,10 @@
     *(.mips16.call.*)
   }
   .init : {
-    *(.init)
+    KEEP (*(.init))
   }
   .fini : {
-    *(.fini)
+    KEEP (*(.fini))
   }
   .rel.sdata : {
     PROVIDE (__runtime_reloc_start = .);
Index: src/libgloss/mips/idt64.ld
diff -u src/libgloss/mips/idt64.ld:1.3 src/libgloss/mips/idt64.ld:1.4
--- src/libgloss/mips/idt64.ld:1.3	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/idt64.ld	Tue Apr 12 08:06:40 2005
@@ -43,10 +43,10 @@
     *(.mips16.call.*)
   }
   .init : {
-    *(.init)
+    KEEP (*(.init))
   }
   .fini : {
-    *(.fini)
+    KEEP (*(.fini))
   }
   .rel.sdata : {
     PROVIDE (__runtime_reloc_start = .);
Index: src/libgloss/mips/idtecoff.ld
diff -u src/libgloss/mips/idtecoff.ld:1.2 src/libgloss/mips/idtecoff.ld:1.3
--- src/libgloss/mips/idtecoff.ld:1.2	Fri Jul 12 15:37:04 2002
+++ src/libgloss/mips/idtecoff.ld	Tue Apr 12 08:06:40 2005
@@ -35,7 +35,7 @@
   . = 0xA0020000;
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -45,7 +45,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/jmr3904app-java.ld
diff -u src/libgloss/mips/jmr3904app-java.ld:1.3 src/libgloss/mips/jmr3904app-java.ld:1.4
--- src/libgloss/mips/jmr3904app-java.ld:1.3	Thu Aug  1 20:21:23 2002
+++ src/libgloss/mips/jmr3904app-java.ld	Tue Apr 12 08:06:40 2005
@@ -35,7 +35,7 @@
       /* It fits the Cygmon ROMS */
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -45,7 +45,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/jmr3904app.ld
diff -u src/libgloss/mips/jmr3904app.ld:1.4 src/libgloss/mips/jmr3904app.ld:1.5
--- src/libgloss/mips/jmr3904app.ld:1.4	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/jmr3904app.ld	Tue Apr 12 08:06:40 2005
@@ -32,7 +32,7 @@
       /* It fits the Cygmon ROMS */
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -42,7 +42,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/jmr3904dram-java.ld
diff -u src/libgloss/mips/jmr3904dram-java.ld:1.3 src/libgloss/mips/jmr3904dram-java.ld:1.4
--- src/libgloss/mips/jmr3904dram-java.ld:1.3	Thu Aug  1 20:21:23 2002
+++ src/libgloss/mips/jmr3904dram-java.ld	Tue Apr 12 08:06:40 2005
@@ -37,7 +37,7 @@
       /* It fits the Cygmon ROMS */
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -47,7 +47,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/jmr3904dram.ld
diff -u src/libgloss/mips/jmr3904dram.ld:1.3 src/libgloss/mips/jmr3904dram.ld:1.4
--- src/libgloss/mips/jmr3904dram.ld:1.3	Thu Aug  1 20:21:23 2002
+++ src/libgloss/mips/jmr3904dram.ld	Tue Apr 12 08:06:40 2005
@@ -34,7 +34,7 @@
       /* It fits the Cygmon ROMS */
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -44,7 +44,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/lsi.ld
diff -u src/libgloss/mips/lsi.ld:1.4 src/libgloss/mips/lsi.ld:1.5
--- src/libgloss/mips/lsi.ld:1.4	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/lsi.ld	Tue Apr 12 08:06:40 2005
@@ -34,7 +34,7 @@
   . = 0xA0020000;
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -42,7 +42,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/nullmon.ld
diff -u src/libgloss/mips/nullmon.ld:1.4 src/libgloss/mips/nullmon.ld:1.5
--- src/libgloss/mips/nullmon.ld:1.4	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/nullmon.ld	Tue Apr 12 08:06:40 2005
@@ -34,7 +34,7 @@
   . = 0xA0020000;
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -44,7 +44,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/pmon.ld
diff -u src/libgloss/mips/pmon.ld:1.4 src/libgloss/mips/pmon.ld:1.5
--- src/libgloss/mips/pmon.ld:1.4	Wed May  5 12:16:31 2004
+++ src/libgloss/mips/pmon.ld	Tue Apr 12 08:06:40 2005
@@ -34,7 +34,7 @@
   . = 0xA0020000;
   .text : {
      _ftext = . ;
-    *(.init)
+    KEEP (*(.init))
      eprol  =  .;
     *(.text)
     *(.text.*)
@@ -44,7 +44,7 @@
     PROVIDE (__runtime_reloc_start = .);
     *(.rel.sdata)
     PROVIDE (__runtime_reloc_stop = .);
-    *(.fini)
+    KEEP (*(.fini))
      etext  =  .;
      _etext  =  .;
   }
Index: src/libgloss/mips/regs.S
diff -u src/libgloss/mips/regs.S:1.3 src/libgloss/mips/regs.S:1.4
--- src/libgloss/mips/regs.S:1.3	Sat Apr  3 01:02:51 2004
+++ src/libgloss/mips/regs.S	Tue Apr 19 18:03:18 2005
@@ -53,15 +53,16 @@
 #define fp1	$f1
 
 /* Useful memory constants: */
-#define K0BASE		0x80000000
 #ifndef __mips64
+#define K0BASE          0x80000000
 #define K1BASE		0xA0000000
 #define K0BASE_ADDR	((char *)K0BASE)
 #define K1BASE_ADDR	((char *)K1BASE)
 #else
-#define K1BASE		0xFFFFFFFFA0000000LL
+#define K0BASE          0xFFFFFFFF80000000
+#define K1BASE		0xFFFFFFFFA0000000
 #define K0BASE_ADDR	((char *)0xFFFFFFFF80000000LL)
-#define K1BASE_ADDR	((char *)K1BASE)
+#define K1BASE_ADDR	((char *)0xFFFFFFFFA0000000LL)
 #endif
 
 #define PHYS_TO_K1(a)   ((unsigned)(a) | K1BASE)
Index: src/libgloss/rs6000/sim-getrusage.S
diff -u /dev/null src/libgloss/rs6000/sim-getrusage.S:1.1
--- /dev/null	Thu May 12 14:26:15 2005
+++ src/libgloss/rs6000/sim-getrusage.S	Thu May  5 23:07:08 2005
@@ -0,0 +1,25 @@
+/*
+ * sim-getrusage.S -- PowerPC simulator getrusage call.
+ *
+ * Copyright (c) 1995, 2000, 2001 Cygnus Support
+ *
+ * The authors hereby grant permission to use, copy, modify, distribute,
+ * and license this software and its documentation for any purpose, provided
+ * that existing copyright notices are retained in all copies and that this
+ * notice is included verbatim in any distributions. No written agreement,
+ * license, or royalty fee is required for any of the authorized uses.
+ * Modifications to this software may be copyrighted by their authors
+ * and need not follow the licensing terms described here, provided that
+ * the new terms are clearly indicated on the first page of each file where
+ * they apply.
+ */
+
+#include "ppc-asm.h"
+
+FUNC_START(getrusage)
+	li	r0,117
+	sc
+	bns+	0f
+	b	FUNC_NAME(_cerror)
+0:	blr
+FUNC_END(getrusage)
Index: src/libgloss/rs6000/simulator.S
diff -u src/libgloss/rs6000/simulator.S:1.4 src/libgloss/rs6000/simulator.S:1.5
--- src/libgloss/rs6000/simulator.S:1.4	Mon Jul 22 19:26:25 2002
+++ src/libgloss/rs6000/simulator.S	Thu May  5 23:07:08 2005
@@ -87,14 +87,6 @@
 0:	blr
 FUNC_END(gettimeofday)
 
-FUNC_START(getrusage)
-	li	r0,117
-	sc
-	bns+	0f
-	b	FUNC_NAME(_cerror)
-0:	blr
-FUNC_END(getrusage)
-
 FUNC_START(lseek)
 	li	r0,199
 	sc
Index: src/ChangeLog
diff -u src/ChangeLog:1.549 src/ChangeLog:1.575
--- src/ChangeLog:1.549	Thu Dec 16 19:51:27 2004
+++ src/ChangeLog	Thu May  5 01:36:31 2005
@@ -1,3 +1,204 @@
+2005-05-04  Mike Stump  <mrs@apple.com>
+
+	* configure.in: Always pass --target to target configures as
+	otherwise rebuilds that do --recheck will fail.
+	* confiugure: Rebuilt.
+
+2005-05-04  Paolo Bonzini  <bonzini@gnu.org>
+
+	* Makefile.tpl (POSTSTAGE1_HOST_EXPORTS): Rename from
+	STAGE_HOST_EXPORTS.
+	(configure, all): Add bootstrap support.
+	(Host modules, target modules): Pass post-stage1 flags and exports.
+	(Top-level bootstrap): Remove bootstrap rules, expanded elsewhere.
+	* Makefile.in: Regenerate.
+
+2005-04-29  Paolo Bonzini  <bonzini@gnu.org>
+
+	Sync from gcc:
+
+	2005-04-22  Bernd Schmidt  <bernd.schmidt@analog.com>
+
+        * config.sub: Update from master copy.
+
+	2005-04-19  Hans-Peter Nilsson  <hp@axis.com>
+
+        * configure.in <crisv32-*-*, cris-*-*>: New local variable
+        libgcj_ex_libffi.  Have specific match for *-*-linux*.  Separate
+        matches for "*-*-aout" and "*-*-elf".  Don't disable libffi for
+        "*-*-elf" and "*-*-linux*".
+        * configure: Regenerate.
+
+2005-04-06  Paolo Bonzini  <bonzini@gnu.org>
+
+        * Makefile.tpl (BUILD_CONFIGARGS): Include --with-build-subdir.
+	(TARGET_CONFIGARGS): Include --with-target-subdir.
+	(configure, all): New macros.  Use them throughout.
+
+2005-04-05  Paolo Bonzini  <bonzini@gnu.org>
+
+	* Makefile.tpl: Sync with gcc.
+	* Makefile.in: Regenerate.
+
+2005-03-30  J"orn Rennecke <joern.rennecke@st.com>
+
+	* config/mh-mingw32: Delete.
+	* configure.in: Don't use it.
+	* configure: Regenerate.
+
+2005-03-31  Paolo Bonzini  <bonzini@gnu.org>
+
+	* Makefile.def (bfd, opcodes, libstdc++-v3, libmudflap): Set lib_path.
+	* Makefile.tpl (SET_LIB_PATH, REALLY_SET_LIB_PATH): Remove.
+	(HOST_EXPORTS, STAGE_HOST_EXPORTS, TARGET_EXPORTS): Set $(RPATH_ENVVAR).
+	(HOST_LIB_PATH): Generate from Makefile.def.
+	(TARGET_LIB_PATH): Likewise.
+	(Old bootstrap targets): Include TARGET_LIB_PATH into RPATH_ENVVAR.
+	* Makefile.in: Regenerate.
+	* configure.in (set_lib_path, SET_LIB_PATH, SET_GCC_LIB_PATH): Remove.
+	(RPATH_ENVVAR): Include Darwin case.
+	* configure: Regenerate.
+
+2005-03-25  Paolo Bonzini  <bonzini@gnu.org>
+
+	* configure.in (RPATH_ENVVAR): Set to DYLD_LIBRARY_PATH on Darwin.
+	* configure: Regenerate.
+
+2005-03-21  Zack Weinberg  <zack@codesourcery.com>
+
+	* Makefile.def: Remove libstdcxx_incdir, libsubdir, gxx_include_dir,
+	gcc_version, and gcc_version_trigger from set of flags to pass.
+	* Makefile.tpl: Remove definitions of above variables.
+	(config.status): Remove dependency on $(gcc_version_trigger).
+	* Makefile.in: Regenerate.
+	* configure.in: Do not reference config/gcc-version.m4 nor
+	config/gxx-include-dir.m4.  Do not invoke TL_AC_GCC_VERSION nor
+	TL_AC_GXX_INCLUDE_DIR.  Do not set gcc_version_trigger.
+	* configure: Regenerate.
+
+2005-03-16  Manfred Hollstein  <manfred.h@gmx.net>
+	    Andrew Pinski <pinskia@physics.uc.edu>
+
+	* Makefile.tpl (check-[+module+]): Fix shell statement inside if ... fi.
+	* Makefile.in: Regenerate.
+
+2005-03-01  Alexandre Oliva  <aoliva@redhat.com>
+
+	PR libgcj/20160
+	* ltmain.sh: Avoid creating archives with components that have
+	duplicate basenames.
+
+2005-02-28  Andrew Pinski  <pinskia@physics.uc.edu>
+
+	PR bootstrap/20250
+	* Makefile.tpl (HOST target installs): Fix copy and pasto, use install
+	instead of check.
+	* Makefile.in: Regenerate.
+
+2005-02-28  Paolo Bonzini  <bonzini@gnu.org>
+
+	Sync from gcc.
+
+	2005-02-28  Paolo Bonzini  <bonzini@gnu.org>
+
+	PR bootstrap/17383
+	* Makefile.def (target_modules): Remove "stage", now unnecessary.
+	* Makefile.tpl (HOST_SUBDIR): New substitution.
+	(STAGE_HOST_EXPORTS, EXPECT, HOST_LIB_PATH, USUAL_AR_FOR_TARGET,
+	USUAL_AS_FOR_TARGET, USUAL_DLLTOOL_FOR_TARGET, USUAL_GCC_FOR_TARGET,
+	USUAL_LD_FOR_TARGET, USUAL_NM_FOR_TARGET, USUAL_OBJDUMP_FOR_TARGET,
+	USUAL_RANLIB_FOR_TARGET, USUAL_WINDRES_FOR_TARGET): Use it.
+	(Host modules, Bootstrapped modules): Use it.
+	(Build modules, Target modules): Do not create symlink trees,
+	always configure out-of-srcdir.
+	(distclean): Try removing $(host_subdir) with rm before using rm -rf.
+	* configure.in (FLAGS_FOR_TARGET, CC_FOR_TARGET, GCJ_FOR_TARGET,
+	GFORTRAN_FOR_TARGET, CXX_FOR_TARGET, RAW_CXX_FOR_TARGET): Use
+	$(HOST_SUBDIR).  Create a symlink for host_subdir.
+
+	* Makefile.in: Regenerate.
+	* configure: Regenerate.
+
+	Merged from libada-gnattools-branch:
+	2004-11-28  Nathanael Nerode  <neroden@gcc.gnu.org>
+
+	* Makefile.def: Add gnattools as a module, depending on target-libada.
+	* Makefile.in: Regenerate.
+	* configure.in: Include gnattools in host_tools; disable it if ada
+	is disabled.
+	* configure: Regenerate.
+
+2005-02-23  Nick Clifton  <nickc@redhat.com>
+
+	* configure: Regenerate.
+
+2005-02-22  Paul Schlie  <schlie@comcast.net>
+
+	* configure.in: Allow darwin targeted ports to build tk, itcl and
+	libgui.
+
+2005-02-21  Eric Botcazou  <ebotcazou@libertysurf.fr>
+
+	PR libgcj/10353
+	* configure.in (noconfigdirs) <sparc-*-solaris2.[0-6]>: Add libgcj.
+	* configure: Regenerate.
+
+2005-02-08  Andrew Cagney  <cagney@gnu.org>
+
+	* MAINTAINERS: Delete reference to dejagnu/ and mmalloc/ from the
+	gdb/ section.  Update GDB's URL.
+
+2005-01-31  Andrew Cagney  <cagney@gnu.org>
+
+	* gettext.m4: Only set ENABLE_NLS when gettext is present.
+
+2005-01-29  Hans-Peter Nilsson  <hp@axis.com>
+
+	* configure.in (noconfigdirs) <crisv32-*-*>: Match like cris-*-*.
+	<crisv32-*-*, cris-*-*>: Only disable target-newlib and
+	target-libgloss when not *-*-elf and *-*-aout.
+	* configure: Regenerate.
+
+2005-01-27  Andrew Cagney  <cagney@gnu.org>
+
+	* gettext.m4: Don't use NONE as a default for CATOBJEXT.
+
+2005-01-24  Andrew Cagney  <cagney@gnu.org>
+
+	* gettext.m4: Only fall back to ../intl/ when it's present.
+
+2005-01-17  Kelley Cook  <kcook@gcc.gnu.org>
+
+	* install-sh, config.sub: Import from upstream.
+
+2005-01-17  Kelley Cook  <kcook@gcc.gnu.org>
+
+	PR bootstrap/18222
+	* Makefile.def: Pass CPPFLAGS_FOR_TARGET.
+	* Makefile.tpl: Define target CPPFLAGS on CPPFLAGS_FOR_TARGET.
+	* Makefile.in: Regenerate.
+
+2005-01-03  Paolo Bonzini  <bonzini@gnu.org>
+
+	Revert 2004-12-28 Makefile changes, a better fix will be
+	applied to mainline and src after GCC 4.0 branches.
+
+2004-12-28  Paolo Bonzini  <bonzini@gnu.org>
+
+	PR bootstrap/17383
+
+	* Makefile.def (target_modules): Remove stage parameter,
+	it is always true now.
+	* Makefile.tpl (configure-build-[+module+],
+	configure-target-[+module+]): Always build symlink tree
+	for the directory and for include.  BUILD_SUBDIR and
+	TARGET_SUBDIR cannot be . anymore.
+	* Makefile.in: Regenerate.
+
+2004-12-25  David Edelsohn  <edelsohn@gnu.org>
+
+	Revert 2004-12-08 Makefile changes.
+
 2004-12-16  Andrew Stubbs  <andrew.stubbs@st.com>
 
 	* configure.in (sh64-*-*): Reenable gprof.
@@ -39,7 +240,7 @@
 	* Makefile.tpl (clean-target-libgcc): Add stmp-dirs to list
 	of things to remove.
 	* Makefile.in: Regenerate.
-	
+
 2004-12-02  Richard Sandiford  <rsandifo@redhat.com>
 
 	* configure.in: Clear gcc_version_trigger if the file doesn't exist.
@@ -130,7 +331,7 @@
 
 	* src-release (do-djunpack, do-md5sum): Install the generated file
 	directly into the proto-toplev/ directory.
-	
+
 2004-10-19  Andrew Cagney  <cagney@gnu.org>
 
 	* src-release (GDB_SUPPORT_DIRS): Remove utils and intl.
@@ -162,7 +363,7 @@
 2004-09-30  Tomer Levi  <Tomer.Levi@nsc.com>
 
 	* configure.in: Enable target-libgloss for crx-*-*.
-        * configure: Regenerate.
+	* configure: Regenerate.
 
 2004-09-24  Michael Roth  <mroth@nessie.de>
 
@@ -204,7 +405,7 @@
 	* configure: Regenerate.
 
 2004-09-09  Daniel Berlin  <dberlin@dberlin.org>
-	
+
 	* Makefile.def: Remove libbanshee.
 	* Makefile.tpl: Ditto.
 	* configure.in: Ditto.
@@ -220,7 +421,7 @@
 	* config.sub: Import latest version from master repository.
 	* config.guess: Likewise.
 	This includes these changes:
-	
+
 	2004-08-27  Hans-Peter Nilsson  <hp@axis.com>
 
 	* config.sub: Handle crisv32, alias etraxfs.
@@ -307,7 +508,7 @@
 	* config.sub: Add support for National Semiconductor CRX target.
 
 2004-09-03  Jan Beulich  <jbeulich@novell.com>
- 
+
 	* configure.in: Remove target-libstdc++-v3 from noconfigdirs for
 	*-*-netware, but add target-libmudflap.
 	Consolidate *-*-netware targets (of which really only i?86 exists)
@@ -333,8 +534,8 @@
 	* Makefile.in: Move BOOT_CFLAGS above host makefile fragment include.
 	* configure.in: add test for powerpc-*-darwin* to specify makefile frag
 	* configure: regenerate
-	* config/mh-ppc-darwin: create file, override BOOT_CFLAGS for 
-        -mdynamic-no-pic
+	* config/mh-ppc-darwin: create file, override BOOT_CFLAGS for
+	-mdynamic-no-pic
 
 2004-08-31  Paolo Bonzini  <bonzini@gnu.org>
 
Index: src/MAINTAINERS
diff -u src/MAINTAINERS:1.28 src/MAINTAINERS:1.29
--- src/MAINTAINERS:1.28	Thu Dec  9 21:59:14 2004
+++ src/MAINTAINERS	Tue Feb  8 22:37:35 2005
@@ -39,10 +39,10 @@
 depcomp
         Send bug reports and patches to bug-automake@gnu.org.
 
-gdb/; mmalloc/; readline/; sim/; GDB's part of include/ & dejagnu/
-	gdb: http://sources.redhat.com/gdb/
+gdb/; readline/; sim/; GDB's part of include/
+	GDB: http://www.gnu.org/software/gdb/
 	Patches to gdb-patches@sources.redhat.com.
-	See also gdb/MAINTAINERS, sim/MAINTAINERS, mmalloc/MAINTAINERS.
+	See also gdb/MAINTAINERS and sim/MAINTAINERS.
 
 include/
 	See binutils/, gdb/, sid/, gcc/, libiberty/ etc.
Index: src/Makefile.def
diff -u src/Makefile.def:1.40 src/Makefile.def:1.47
--- src/Makefile.def:1.40	Wed Dec  8 20:29:57 2004
+++ src/Makefile.def	Wed Mar 30 08:39:09 2005
@@ -37,8 +37,8 @@
 host_modules= { module= autoconf; };
 host_modules= { module= automake; };
 host_modules= { module= bash; };
-host_modules= { module= bfd; bootstrap=true; };
-host_modules= { module= opcodes; bootstrap=true; };
+host_modules= { module= bfd; lib_path=.; bootstrap=true; };
+host_modules= { module= opcodes; lib_path=.; bootstrap=true; };
 host_modules= { module= binutils; bootstrap=true; };
 host_modules= { module= bison; no_check_cross= true; };
 host_modules= { module= byacc; no_check_cross= true; };
@@ -111,13 +111,14 @@
                 missing=distclean;
                 missing=maintainer-clean; };
 host_modules= { module= utils; no_check=true; };
+host_modules= { module= gnattools; };
 
-target_modules = { module= libstdc++-v3; raw_cxx=true; };
-target_modules = { module= libmudflap; };
+target_modules = { module= libstdc++-v3; lib_path=.libs; raw_cxx=true; };
+target_modules = { module= libmudflap; lib_path=.libs; };
 target_modules = { module= newlib; };
 target_modules = { module= libgfortran; };
 target_modules = { module= libobjc; };
-target_modules = { module= libtermcap; no_check=true; stage=true;
+target_modules = { module= libtermcap; no_check=true;
                    missing=mostlyclean;
                    missing=clean;
                    missing=distclean;
@@ -129,7 +130,7 @@
 target_modules = { module= examples; no_check=true; no_install=true; };
 target_modules = { module= libffi; };
 target_modules = { module= libjava; raw_cxx=true; };
-target_modules = { module= zlib; stage=true; };
+target_modules = { module= zlib; };
 target_modules = { module= boehm-gc; };
 target_modules = { module= qthreads; };
 target_modules = { module= rda; };
@@ -171,8 +172,6 @@
 flags_to_pass = { flag= libdir ; };
 flags_to_pass = { flag= libexecdir ; };
 flags_to_pass = { flag= lispdir ; };
-flags_to_pass = { flag= libstdcxx_incdir ; };
-flags_to_pass = { flag= libsubdir ; };
 flags_to_pass = { flag= localstatedir ; };
 flags_to_pass = { flag= mandir ; };
 flags_to_pass = { flag= oldincludedir ; };
@@ -182,9 +181,6 @@
 flags_to_pass = { flag= sysconfdir ; };
 flags_to_pass = { flag= tooldir ; };
 flags_to_pass = { flag= build_tooldir ; };
-flags_to_pass = { flag= gxx_include_dir ; };
-flags_to_pass = { flag= gcc_version ; };
-flags_to_pass = { flag= gcc_version_trigger ; };
 flags_to_pass = { flag= target_alias ; };
 
 // Build tools
@@ -218,6 +214,7 @@
 flags_to_pass = { flag= AS_FOR_TARGET ; };
 flags_to_pass = { flag= CC_FOR_TARGET ; };
 flags_to_pass = { flag= CFLAGS_FOR_TARGET ; };
+flags_to_pass = { flag= CPPFLAGS_FOR_TARGET ; };
 flags_to_pass = { flag= CXX_FOR_TARGET ; };
 flags_to_pass = { flag= CXXFLAGS_FOR_TARGET ; };
 flags_to_pass = { flag= DLLTOOL_FOR_TARGET ; };
@@ -227,7 +224,6 @@
 flags_to_pass = { flag= LIBCFLAGS_FOR_TARGET ; };
 flags_to_pass = { flag= LIBCXXFLAGS_FOR_TARGET ; };
 flags_to_pass = { flag= NM_FOR_TARGET ; };
-flags_to_pass = { flag= PICFLAG_FOR_TARGET ; };
 flags_to_pass = { flag= RANLIB_FOR_TARGET ; };
 flags_to_pass = { flag= WINDRES_FOR_TARGET ; };
 
@@ -273,6 +269,8 @@
 
 dependencies = { module=all-fixincludes; on=all-libiberty; };
 
+dependencies = { module=all-gnattools; on=all-target-libada; };
+
 // Host modules specific to gdb.
 dependencies = { module=configure-gdb; on=configure-itcl; };
 dependencies = { module=configure-gdb; on=configure-tcl; };
